API: spaceflightnewsapi.net:spaceflight-news-api
Endpoint: /v4/blogs/
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 427ms

Description

Returns a paginated list of official blog posts from space agencies (primarily NASA). These differ from articles as they are first-party content from agency blogs rather than third-party news coverage. Use this for official agency communications and updates.

From spec: Returns a paginated list of space agency blog posts with filtering options.

Usage Tips

- No authentication required - Supports pagination with limit and offset parameters - Blog posts include featured flag for highlighting important posts

Parameters (25)

event (array, query, optional)

Search for all documents related to a specific event using its Launch Library 2 ID.

has_event (boolean, query, optional)

Get all documents that have a related event.

has_launch (boolean, query, optional)

Get all documents that have a related launch.

is_featured (boolean, query, optional)

Get all documents that are featured.

launch (array, query, optional)

Search for all documents related to a specific launch using its Launch Library 2 ID.

limit (integer, query, optional)

Number of results to return per page.

news_site (string, query, optional)

Search for documents with a news_site__name present in a list of comma-separated values. Case insensitive.

news_site_exclude (string, query, optional)

Search for documents with a news_site__name not present in a list of comma-separated values. Case insensitive.

offset (integer, query, optional)

The initial index from which to return the results.

ordering (array, query, optional)

Order the result on `published_at, -published_at, updated_at, -updated_at`. * `published_at` - Published at * `-published_at` - Published at (descending) * `updated_at` - Updated at * `-updated_at` - Updated at (descending)

published_at_gt (string, query, optional)

Get all documents published after a given ISO8601 timestamp (excluded).

published_at_gte (string, query, optional)

Get all documents published after a given ISO8601 timestamp (included).

published_at_lt (string, query, optional)

Get all documents published before a given ISO8601 timestamp (excluded).

published_at_lte (string, query, optional)

Get all documents published before a given ISO8601 timestamp (included).

search (string, query, optional)

Search for documents with a specific phrase in the title or summary.

summary_contains (string, query, optional)

Search for all documents with a specific phrase in the summary.

summary_contains_all (string, query, optional)

Search for documents with a summary containing all keywords from comma-separated values.

summary_contains_one (string, query, optional)

Search for documents with a summary containing at least one keyword from comma-separated values.

title_contains (string, query, optional)

Search for all documents with a specific phrase in the title.

title_contains_all (string, query, optional)

Search for documents with a title containing all keywords from comma-separated values.

title_contains_one (string, query, optional)

Search for documents with a title containing at least one keyword from comma-separated values.

updated_at_gt (string, query, optional)

Get all documents updated after a given ISO8601 timestamp (excluded).

updated_at_gte (string, query, optional)

Get all documents updated after a given ISO8601 timestamp (included).

updated_at_lt (string, query, optional)

Get all documents updated before a given ISO8601 timestamp (excluded).

updated_at_lte (string, query, optional)

Get all documents updated before a given ISO8601 timestamp (included).

Examples (1)

Fetch the 2 most recent space agency blog posts probe-gate

Demonstrates fetching recent blog posts from space agencies with pagination.

curl 'https://api.spaceflightnewsapi.net/v4/blogs/?limit=2'
import requests

resp = requests.get(
    "https://api.spaceflightnewsapi.net/v4/blogs/",
    params={
        'limit': '2',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("spaceflightnewsapi")
result = api.fetch("v4/blogs/", limit=2)

for item in result:
    print(item)
const resp = await fetch("https://api.spaceflightnewsapi.net/v4/blogs/?limit=2");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:43:21.742052 200 427ms
2026-04-15 01:36:37.473919 200 518ms
2026-04-14 01:33:58.243546 200 722ms
2026-04-12 13:37:45.558167 200 481ms
2026-04-10 01:44:11.135793 200 424ms